
QGIS Application - Bug report #12888

Symbol with data-defined size that evaluate to NULL are drawn

2015-06-05 02:23 AM - Vincent Mora

Status: Closed

Priority: Normal

Assignee: Vincent Mora

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20978

Description

To allow the preview and the drawing of the symbol with data-defined properties, the property is given a default value when the

expression is NULL.

As a result, for DD size expression, symbols are drawn with the default size when the field is NULL. This gives different results than 2.8.

Associated revisions

Revision 4fb22b4e - 2015-06-24 12:08 PM - Vincent Mora

converted size expr evaluate to 0 on NULL field

fix #12888

use coalesce(expr,0) to have zero size if expression evaluates to NULL

otherwise the default size would be used

History

#1 - 2015-06-05 02:29 AM - Jürgen Fischer

see also discussion in PR !#2111

#2 - 2015-06-05 02:48 AM - Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

Fix here: https://github.com/qgis/QGIS/pull/2113

#3 - 2015-06-24 03:09 AM - Vincent Mora

- Status changed from In Progress to Closed

Fixed in changeset commit:"4fb22b4ef6daccdca163c696b16c950afc3c93b9".
